Package org.eclipse.compare

# Interface IPropertyChangeNotifier

All Known Implementing Classes:
  `CompareEditorInput`, `ContentMergeViewer`, `HistoryPageCompareEditorInput`, `PageCompareEditorInput`, `ParticipantPageCompareEditorInput`, `SaveableCompareEditorInput`, `SyncInfoCompareInput`, `TextMergeViewer`

public interface IPropertyChangeNotifier
Interface common to all objects that provide a means for registering for property change notification.

Clients may implement this interface.

See Also:
  - `IPropertyChangeListener`

## Method Summary

Modifier and Type
Method
Description
`void`
`addPropertyChangeListener(IPropertyChangeListener listener)`
Adds a listener for property changes to this notifier.
`void`
`removePropertyChangeListener(IPropertyChangeListener listener)`
Removes the given content change listener from this notifier.

## Method Details

### addPropertyChangeListener

void addPropertyChangeListener(IPropertyChangeListener listener)
Adds a listener for property changes to this notifier. Has no effect if an identical listener is already registered.

Parameters:
  `listener` - a property change listener

### removePropertyChangeListener

void removePropertyChangeListener(IPropertyChangeListener listener)
Removes the given content change listener from this notifier. Has no effect if the identical listener is not registered.

Parameters:
  `listener` - a property change listener